import _extends from "@babel/runtime/helpers/esm/extends";
/* eslint eqeqeq: "off" */

import { createElement } from 'react';
import PropTypes from 'prop-types';
export default function AbTestToggle(_ref) {
  var children = _ref.children,
    variation = _ref.variation;
  var filterFunc = variation ? function (child) {
    return child.props.variationId == variation;
  } : function (child) {
    return child.props.defaultVariation;
  };
  var child = children.filter(filterFunc)[0] || null;
  if (child) {
    var newProps = _extends({}, child.props);
    delete newProps.variationId;
    delete newProps.defaultVariation;
    child = /*#__PURE__*/createElement(child.type, newProps);
  }
  return child;
}
AbTestToggle.displayName = 'AbTestToggle';
AbTestToggle.propTypes = {
  /**
   * Id of the contained variation to show. Has to match with `variationId` of a child.
   */
  variation: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  /**
   * Set of variations identified by `variationId` prop.
   * `defaultVariation` defines the fallback variation to show in case none is defined.
   */
  children: PropTypes.arrayOf(PropTypes.element).isRequired
};